#
# spec file for package python-WSGIProxy2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Tests have dependency loop with python-WebTest
%bcond_with tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-WSGIProxy2
Version:        0.4.3
Release:        lp151.2.2
Summary:        WSGI Proxy Implementation
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/gawel/WSGIProxy2/
Source:         https://files.pythonhosted.org/packages/source/W/WSGIProxy2/WSGIProxy2-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module WebOb}
BuildRequires:  %{python_module six}
%if %{with tests}
BuildRequires:  %{python_module WebTest}
%endif
Conflicts:      python-WSGIProxy
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Proxy support for WebOb or classic WSGI applications

%prep
%setup -q -n WSGIProxy2-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with tests}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES.rst COPYING README.rst
%{python_sitelib}/*

%changelog
* Sun May  7 2017 toddrme2178@gmail.com
- Source URL must be https.
* Mon May  1 2017 toddrme2178@gmail.com
- Update to version 0.4.3
  * Add OPTIONS to defaults allowed methods
  * Drop restkit support
  * Drop py26 support
- Implement single-spec version
- Fix source URL.
* Thu May 14 2015 benoit.monin@gmx.fr
- update to version 0.4.2:
  * Undo webob's unquoting to handle paths with percent quoted utf8
    characters [Laurence Rowe]
* Mon Jan 13 2014 dmueller@suse.com
- update to 0.4.1:
  * fix tests.
  * change the way requests iter response
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Sep 25 2013 p.drouand@gmail.com
- Update to version 0.3
  + Make allowed_methods check optional
* Thu May  2 2013 speilicke@suse.com
- Conflict with python-WSGIProxy
* Mon Apr 29 2013 speilicke@suse.com
- Add README.rst
* Mon Apr 29 2013 dmueller@suse.com
- Initial package (0.1)
